chirp_bulkio Struct Reference

Describes a bulk I/O operation. More...

`#include <chirp_types.h>`

## Data Fields

chirp_bulkio_t | type
| The type of I/O to perform.
struct chirp_file * | file
| The file to access for all operations.
struct chirp_stat * | info
| Pointer to a data buffer for FSTAT.
void * | buffer
| Pointer to data buffer for PREAD, PWRITE, SREAD, and SWRITE.
INT64_T | length
| Length of the data, in bytes, for PREAD, WRITE, SREAD, and SWRITE.
INT64_T | stride_length
| Length of each stride for SREAD and SWRITE.
INT64_T | stride_skip
| Distance between start of each stride for SREAD and SWRITE.
INT64_T | offset
| Starting offset in file for PREAD, PWRITE, SREAD, and SWRITE.
INT64_T | result
| On completion, contains result of operation.
INT64_T | errnum
| On failure, contains the errno for the call.

## Detailed Description

Describes a bulk I/O operation.

An array of chirp_bulkio structures passed to chirp_reli_bulkio describes a list of multiple operatons to be performed simultaneously. Not all fields are relevant to all operations.

## Field Documentation

## type

chirp_bulkio_t chirp_bulkio::type

The type of I/O to perform.

## file

struct chirp_file* chirp_bulkio::file

The file to access for all operations.

## info

struct chirp_stat* chirp_bulkio::info

Pointer to a data buffer for FSTAT.

## buffer

void* chirp_bulkio::buffer

Pointer to data buffer for PREAD, PWRITE, SREAD, and SWRITE.

## length

INT64_T chirp_bulkio::length

Length of the data, in bytes, for PREAD, WRITE, SREAD, and SWRITE.

## stride_length

INT64_T chirp_bulkio::stride_length

Length of each stride for SREAD and SWRITE.

## stride_skip

INT64_T chirp_bulkio::stride_skip

Distance between start of each stride for SREAD and SWRITE.

## offset

INT64_T chirp_bulkio::offset

Starting offset in file for PREAD, PWRITE, SREAD, and SWRITE.

## result

INT64_T chirp_bulkio::result

On completion, contains result of operation.

## errnum

INT64_T chirp_bulkio::errnum

On failure, contains the errno for the call.

The documentation for this struct was generated from the following file:

- chirp_types.h